html,
body {
  --gutter-x: 2rem;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  font-size: 14px;
}

*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  font-family: 'Roboto Condensed', "Roboto", -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;
  color: white;
  margin: 0;
  padding: 0;
  font-size-adjust: 0.5;
}

@media (min-width: 1920px) {
  html {
    font-size: 14px;
  }
}

@media (max-width: 1919px) and (min-width: 1440px) {
  html {
    font-size: 13px;
  }
}

@media (max-width: 1439px) and (min-width: 1280px) {
  html {
    font-size: 12.5px;
  }
}

@media (max-width: 1279px) and (min-width: 992px) {
  html {
    font-size: 12px;
  }
}

@media (max-width: 991px) and (min-width: 768px) {
  html {
    font-size: 11.5px;
  }
}

@media (max-width: 767px) and (min-width: 576px) {
  html {
    font-size: 11.5px;
  }
}

@media (max-width: 575px) {
  html {
    font-size: 11px;
    --gutter-x: 1em;
    overflow-x: hidden;
  }
}

a {
  text-decoration: none;
  user-select: none;
}

button {
  user-select: none;
}

button {
  background-color: transparent;
  border: none;
  display: block;
  padding: 0;
  margin: 0;
  align-items: normal;
}

@media (hover: hover) {
  a {
    cursor: pointer;
  }

  button {
    cursor: pointer;
  }
}

.loader {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #006f53;
  z-index: 9999;
}

.loader::before {
  content: "";
  position: static;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  border: 3px solid #DFB91C;
  border-top-color: #006f53;
  animation: preloader 500ms linear infinite;
}

.loader.hide {
  display: none;
}

.loader.hide::before {
  animation: unset;
}

@keyframes preloader {
  100% {
    transform: rotate(360deg);
  }
}

main {
  position: relative;
  overflow: hidden;
}

main::before {
  content: '';
  width: 150%;
  height: 150%;
  display: flex;
  background-color: #006f53;
  background-image: url('./images/logo-icon.svg');
  background-position: center;
  background-size: 227px;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%) rotate(-5deg);
  z-index: 1;
}

h1 {
  text-align: center;
  background: linear-gradient(180deg, #FFE67D 0%, #DFB91C 100%), #FFFFFF;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
  font-weight: 900;
  text-transform: uppercase;
  width: 100%;
  font-size: 3.5rem;
  filter: drop-shadow(0px 0px 10px rgba(23, 204, 155, 0.5))
}

section {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 2;
}

.container {
  width: 100%;
  max-width: 1770px;
  display: flex;
  margin: 0 auto;
  padding-left: var(--gutter-x);
  padding-right: var(--gutter-x);
}

.cta {
  font-weight: 900;
  text-transform: uppercase;
  border-radius: 1.45rem;
  filter: drop-shadow(0px 0px 29.2px #20EDB6);
  text-align: center;
  position: relative;
  transition: 0.2s opacity, 0.2s bottom, filter 0.4s linear;
  will-change: filter;
}

.cta::before {
  content: "";
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 1.45rem;
  position: absolute;
  inset: 0;
  border: 4px solid transparent;
  opacity: 1;
  background:
    linear-gradient(#17CC9B, #17CC9B) padding-box,
    linear-gradient(180deg, #00FDB9 0%, #006F53 100%) border-box;
  transition: opacity 0.4s ease;
}

.cta::after {
  content: "";
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 1.45rem;
  position: absolute;
  inset: 0;
  border: 4px solid transparent;
  background:
    linear-gradient(180deg, #FFE67D, #DFB91C) padding-box,
    linear-gradient(180deg, rgb(255, 213, 47) 0%, #977a04 100%) border-box;
  opacity: 0;
  transition: opacity 0.4s ease;
}

.cta:hover::after {
  opacity: 1;
  transition: opacity 0.4s ease;
}

.cta:hover::before {
  opacity: 9;
  transition: opacity 0.4s ease;
}

.cta:hover {
  filter: drop-shadow(0px 0px 29.2px #e2b810);
  transition: filter 0.4s linear;
  will-change: filter;
}

.cta span {
  position: relative;
  z-index: 1;
}

nav {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 1.5rem;
  z-index: 2;
}

nav img {
  width: 20rem;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}

.button-wrapper {
  display: flex;
  gap: 1rem;
}

nav .cta {
  width: 8.75rem;
  font-size: 1.75rem;
  padding: 0.4rem 0.5rem;
}

.try-now-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
}

nav .try-now-btn {
  width: auto;
  font-size: 2rem;
  padding: 0.8rem 2.1rem;
}

.try-now-disclaimer {
  font-family: 'Roboto Slab', sans-serif;
  font-size: 0.85rem;
  color: white;
  text-align: right;
  font-weight: 600;
  white-space: nowrap;
  margin: 0;
  position: relative;
  z-index: 4;
}

.cta span.before {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 1;
  color: white;
  transition: 0.4s opacity;
}

.cta::after {
  background: linear-gradient(#FFE67D, #FFE67D) padding-box, linear-gradient(180deg, #00FDB9 0%, #006F53 100%) border-box;
}

.cta span.after {
  background: linear-gradient(180deg, #00FDB9 0%, #006F53 100%), #FFFFFF;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
  transition: 0.4s opacity;
  opacity: 0;
}

.cta::before {
  background: linear-gradient(180deg, #17CC9B, #17CC9B) padding-box, linear-gradient(180deg, #00FDB9 0%, #006F53 100%) border-box;
}

.cta:hover span.after {
  opacity: 1;
  transition: 0.4s opacity;
}

.cta:hover span.before {
  opacity: 0;
  transition: 0.4s opacity;
}

.cta:hover {
  filter: drop-shadow(0px 0px 29.2px #20EDB6);
}

.section1 {
  width: 100%;
  height: 75rem;
  /* background-image: url('./images/section1-bg.jpg');
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover; */
  position: relative;
  overflow: hidden;
}


.section1::after {
  content: "";
  width: 100%;
  height: 30rem;
  position: absolute;
  bottom: 0;
  left: 0;
  background: linear-gradient(180deg, rgba(0, 111, 83, 0) 0%, #006F53 90%);
}

.section1 video {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
}

.section1 .container {
  height: 100%;
  flex-direction: column;
}

.section1-content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: nowrap;
  position: relative;
}

.section1-content picture {
  display: flex;
  align-items: end;
}

.section1-text-wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 2;
  contain: layout style;
  margin-left: -1rem;
}

.section1-text-wrapper h2 {
  font-weight: 900;
  font-style: italic;
  font-size: 4rem;
  line-height: 100%;
  position: relative;
  text-align: left;
  display: block;
  color: #FFE67D;
}

.section1-text-wrapper h1 {
  font-size: 8.5rem;
  font-style: normal;
  line-height: 100%;
  font-weight: 900;
  position: relative;
  filter: unset;
  white-space: nowrap;
  text-transform: capitalize;
  background: unset;
  -webkit-background-clip: unset;
  background-clip: unset;
  text-fill-color: unset;
  -webkit-text-fill-color: unset;
  color: #00FDB9;
}

.section1-text-wrapper .cta {
  text-transform: capitalize;
}


.section1-text-wrapper .cta span.after,
.modal-content .cta span.after {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  background: unset;
  -webkit-background-clip: unset;
  -webkit-text-fill-color: unset;
  background-clip: unset;
  text-fill-color: unset;
  color: white;
  transition: 0.4s opacity;
}

.section1-text-wrapper .cta::before,
.modal-content .cta::before {
  background: linear-gradient(#FFE67D, #FFE67D) padding-box, linear-gradient(180deg, #00FDB9 0%, #006F53 100%) border-box;
}

.section1-text-wrapper .cta span.before,
.modal-content .cta span.before {
  background: linear-gradient(180deg, #00FDB9 0%, #006F53 100%), #FFFFFF;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
  transition: 0.4s opacity;
  opacity: 1;
  position: relative;
}

.section1-text-wrapper .cta::after,
.modal-content .cta::after {
  background: linear-gradient(180deg, #17CC9B, #17CC9B) padding-box, linear-gradient(180deg, #00FDB9 0%, #006F53 100%) border-box;
}

.section1-text-wrapper .cta:hover span.before,
.modal-content .cta:hover span.before {
  opacity: 0;
  transition: 0.4s opacity;
}

.section1-text-wrapper .cta:hover span.after,
.modal-content .cta:hover span.after {
  opacity: 1;
  transition: 0.4s opacity;
}

.section1-text-wrapper .cta:hover,
.modal-content .cta:hover {
  filter: drop-shadow(0px 0px 29.2px #20EDB6);
}

.h2-wrapper {
  width: 60rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.section1-text-wrapper .cta {
  padding: 0.8rem 2.1rem;
  font-size: 2.75rem;
  margin-top: 2.5rem;
}

.disclaimer {
  font-family: 'Roboto Slab', sans-serif;
  margin-top: 0.5rem;
  font-size: 1.05rem;
}


.women,
.section1-content picture {
  width: 60rem;
}

.section1-content picture,
.section1-text-wrapper h2,
.section1-text-wrapper h1,
.section1-text-wrapper .cta,
.section1-text-wrapper .disclaimer {
  opacity: 0;
  position: relative;
  bottom: -20%;
}

.section1.active .section1-content picture,
.section1.active .section1-text-wrapper h2,
.section1.active .section1-text-wrapper h1,
.section1.active .section1-text-wrapper .cta,
.section1.active .section1-text-wrapper .disclaimer {
  opacity: 1;
  bottom: 0%;
  transition: 0.2s;
}

.section1.active .section1-text-wrapper h2 {
  transition-delay: 0.2s;
}

.section1.active .section1-text-wrapper h1 {
  transition-delay: 0.1s;
}

.section1.active .section1-text-wrapper .cta {
  transition-delay: bottom 0.3s, opacity 0.3s;
}

.section1.active .section1-text-wrapper .cta::before,
.section1.active .section1-text-wrapper .cta::after {
  transition-delay: 0s;
}

.section1.active .section1-text-wrapper .disclaimer {
  transition-delay: 0.4s;
}


/* Section 2 */
.section2 {
  margin-top: 4rem;
  padding: 1rem 0rem;
  position: relative;
}

.section2 .container {
  flex-direction: column;
  gap: 1rem;
  z-index: 2;
  margin-top: -3rem;
}

.card-container {
  display: grid;
  grid-template-rows: repeat(1, 1fr);
  grid-template-columns: repeat(4, 1fr);
  gap: 1rem;
}

.card {
  padding: 0.5rem;
  background-color: #fff;
  border-radius: 1rem;
}

.card-wrapper {
  width: 100%;
  height: 100%;
  border: 1px solid #d5b375;
  border-radius: 0.75rem;
  padding: 1rem 2rem 2rem;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}

.card-wrapper svg {
  width: 3.5rem;
  height: 3.5rem;
}

.card-wrapper h2 {
  color: #2c8068;
  text-align: center;
  font-family: 'Roboto Slab', sans-serif;
  font-size: 1.75em;
}

.card-wrapper p {
  font-family: 'Roboto', sans-serif;
  color: black;
  text-align: center;
  font-size: 1.25rem;
}

.providers {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  margin-top: 1rem;
}

.providers-container {
  width: 100%;
  display: grid;
  gap: 0.5rem;
  position: relative;
  min-height: 7rem;
}

/* Mobil: 2 row, 3 column = 6 provider */
.providers-container.mobile {
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
}

/* Tablet: 1 row, 6 column = 6 provider */
.providers-container.tablet {
  grid-template-columns: repeat(6, 1fr);
  grid-template-rows: 1fr;
}

/* Desktop: 1 row, 8 column = 8 provider */
.providers-container.desktop {
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: 1fr;
}

.provider {
  width: 100%;
  height: 7rem;
  display: none;
  align-items: center;
  justify-content: center;
  border: 1px solid white;
  border-radius: 0.5rem;
  background-color: #1d8268;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

.provider.d-flex {
  display: flex;
}

.provider.show {
  opacity: 1;
  transition: opacity 0.6s ease-in-out;
}

.provider img {
  width: 9rem;
  height: 8rem;
  object-fit: contain;
}

.provider img.white {
  filter: brightness(0) invert(1);
}

.section2 h1,
.section2 .card,
.providers {
  opacity: 0;
  transform: translateY(20%);
}

.section2.active h1,
.section2.active .card,
.section2.active .providers {
  opacity: 1;
  transform: translateY(0%);
  transition: 0.2s;
}

.section2.active .card:nth-of-type(1) {
  transition-delay: 0.1s;
}

.section2.active .card:nth-of-type(2) {
  transition-delay: 0.2s;
}

.section2.active .card:nth-of-type(3) {
  transition-delay: 0.3s;
}

.section2.active .card:nth-of-type(4) {
  transition-delay: 0.4s;
}

.section2.active .providers {
  transition-delay: 0s;
}

/* Section 3 */

.section3 {
  width: 105%;
  background-color: #006F53;
  margin: 5rem 0rem;
  padding: 3rem 0rem;
  position: relative;
  left: 50%;
  transform: translateX(-50%) rotate(-2deg);
}

.section3::before,
.section3::after {
  content: '';
  width: 100%;
  height: 3rem;
  position: absolute;
}

.section3::before {
  top: 0;
  left: 0;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0) 90%);
}

.section3::after {
  bottom: 0;
  left: 0;
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0) 90%);
}

.section3 .container {
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  position: relative;
  z-index: 2;
}

.game-wrapper {
  width: 100%;
  display: flex;
  -webkit-mask-image: linear-gradient(90deg, #0000, #000 2.5%, #000 97.5%, #0000);
  mask-image: linear-gradient(90deg, #0000, #000 2.5%, #000 97.5%, #0000);
  margin: -3rem 0 -2rem;
}

.game-wrapper .swiper-wrapper {
  padding: 5rem 0;
}

.game-wrapper img {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  object-position: center center;
  border-radius: 2rem;
  user-select: none;
}

.game {
  transition: 0.4s;
  filter: drop-shadow(0px 0px 1rem #20EDB6);
}

.swiper-slide-active .game {
  transform: scale(1.1);
  transition: 0.4s;
}

.section3 .cta {
  padding: 0.8rem 3rem;
  font-size: 2.75rem;
}

.section3 h1 {
  padding: 0 5rem;
}

.section3 h1,
.section3 .game-wrapper,
.section3 .cta {
  opacity: 0;
  transform: translateY(20%);
}

.section3.active h1,
.section3.active .game-wrapper,
.section3.active .cta {
  opacity: 1;
  transform: translateY(0%);
  transition: 0.2s;
}

.section3.active .h1 {
  transition-delay: 0.1s;
}

.section3.active .game-wrapper {
  transition-delay: 0.2s;
}

.section3.active .cta {
  transition-delay: bottom 0.3s, opacity 0.3s;
}

.section3.active .cta::before,
.section3.active .cta::after {
  transition-delay: 0s;
}

/* Section 4 */
.section4 {
  width: 100%;
  margin-top: -2.5rem;
}

.section4 .container {
  padding: 0;
  flex-direction: column;
  gap: 1rem;
}

.section4 p {
  text-align: center;
  font-size: 1.75rem;
  font-family: 'Roboto Slab', sans-serif;
  margin-top: -1rem;
}

.section4 img {
  width: 100%;
  height: 100%;
}

.section4 .swiper-wrapper {
  display: flex;
  transition-timing-function: linear !important;
  will-change: transform;
}

.section4 .slider-wrapper {
  display: flex;
  flex-direction: column;
  gap: 10px;
  -webkit-mask-image: linear-gradient(90deg, #0000, #000 2.5%, #000 97.5%, #0000);
  mask-image: linear-gradient(90deg, #0000, #000 2.5%, #000 97.5%, #0000);
}


.section4 h1,
.section4 .slider-top,
.section4 .slider-bottom,
.section4 p {
  opacity: 0;
  transform: translateY(20%);
}

.section4.active h1,
.section4.active .slider-top,
.section4.active .slider-bottom,
.section4.active p {
  opacity: 1;
  transform: translateY(0%);
  transition: 0.2s;
}

.section4.active h1 {
  transition-delay: 0.1s;
}

.section4.active .slider-top {
  transition-delay: 0.2s;
}

.section4.active .slider-bottom {
  transition-delay: 0.3s;
}

.section4.active p {
  transition-delay: 0.4s;
}

/* Section 5 */
.section5 {
  padding: 1rem 0rem;
  margin-top: 2rem;
}

.section5 .container {
  flex-direction: column;
  gap: 1rem;
}

.section5 .banner-wrapper {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  -webkit-mask-image: linear-gradient(90deg, #0000, #000 2.5%, #000 97.5%, #0000);
  mask-image: linear-gradient(90deg, #0000, #000 2.5%, #000 97.5%, #0000);
}

.section5-swiper,
.section5-swiper .swiper-wrapper {
  width: 100%;
}

.section5-swiper .banner {
  width: 100%;
}

.section5-swiper .banner img {
  width: 100%;
}

.section5 h1,
.section5 .banner-wrapper {
  opacity: 0;
  transform: translateY(20%);
}

.section5.active h1,
.section5.active .banner-wrapper {
  opacity: 1;
  transform: translateY(0%);
  transition: 0.2s;
}

.section5.active h1 {
  transition-delay: 0.1s;
}

.section5.active .banner-wrapper {
  transition-delay: 0.2s;
}

/* Footer */
footer {
  padding: 1rem 0 9rem;
  position: relative;
  z-index: 2;
  margin-top: 2rem;
}

footer .container {
  flex-direction: column;
  gap: 1.5rem;
  align-items: center;
}

footer h2 {
  text-transform: uppercase;
  font-family: 'Roboto Slab', sans-serif;
  font-weight: 900;
  font-size: 2rem;
}

footer img {
  width: 10rem;
}

footer p {
  max-width: 1300px;
  font-size: 1.5rem;
  text-align: center;
}

.footer-shower {
  width: 100%;
  overflow: hidden;
  background-color: #006F53;
  padding: 1rem;
  border-top: 1px solid white;
  border-bottom: 1px solid white;
  margin-top: 3rem;
  position: fixed;
  bottom: 0%;
  left: 0;
  z-index: 4;
  transform: translateY(100%);
  transition: 0.2s;
}

.footer-shower.show {
  transform: translateY(0%);
  transition: 0.2s;
}

.shower {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  gap: 1rem;
  transform: translateX(0rem);
  animation: shower 20s linear infinite forwards;
}

@keyframes shower {
  100% {
    transform: translateX(-107.25rem);
  }
}

.footer-shower p {
  font-size: 4rem;
  white-space: nowrap;
  font-family: 'Roboto Slab', sans-serif;
  font-weight: 900;
}

.footer-shower .yellow {
  background: linear-gradient(180deg, #FFE67D 0%, #DFB91C 100%), #FFFFFF;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
}

.footer-shower .green {
  color: #00FFBA;
}

.footer-shower img {
  width: 5rem;
  height: 5rem;
}

.section6 {
  padding-top: 2rem;
  position: relative;
}

.section6::before {
  content: "";
  width: 100%;
  height: 5rem;
  position: absolute;
  z-index: 1;
  top: 0px;
  left: 0px;
  background: linear-gradient(0deg, rgba(0, 111, 83, 0) 0%, rgb(0, 111, 83) 90%);
}

.section6 .container {
  width: unset;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  padding: unset;
  z-index: 3;
  gap: 4px;
  opacity: 0;
  transform: translateY(20%);
}

.section6 .container::before {
  content: '';
  width: calc(100% + 8px);
  height: calc(100% + 8px);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
  background: linear-gradient(90deg, #006F53 0%, #00FFBA 100%);
  border-radius: 20px;
}

.section6 .container div {
  width: 100%;
  height: 5.5rem;
  display: flex;
  align-items: center;
  gap: 1.5rem;
  position: relative;
  z-index: 2;
  background-color: white;
  padding: 0rem 1rem;
}

.section6 .container div:nth-of-type(1) {
  border-top-right-radius: 16px;
  border-top-left-radius: 16px;
}

.section6 .container div:nth-of-type(2) {
  border-bottom-right-radius: 16px;
  border-bottom-left-radius: 16px;
}

.section6 img {
  width: 20rem;
}

.section6 .licensed {
  width: 17rem;
}

.section6 p {
  width: 100%;
  font-size: 3.5rem;
  text-align: center;
  font-family: 'Roboto Condensed', sans-serif;
  font-weight: 900;
  font-style: italic;
  color: #006F53;
}

.section6.active .container {
  opacity: 1;
  transform: translateY(0%);
  transition: 0.2s;
}

/* Responsive */
@media only screen and (max-width: 1600px) {

  .women,
  .section1-content picture {
    width: 55rem;
  }
}

@media only screen and (max-width: 1500px) {

  .women,
  .section1-content picture {
    width: 53rem;
  }

  .section1-content picture {
    margin-left: -4rem;
  }
}

@media only screen and (max-width: 1360px) {

  .women,
  .section1-content picture {
    width: 50rem;
  }

  .section1-content picture {
    margin-left: -6rem;
  }

  .section1-text-wrapper {
    width: unset;
    right: 0;
    position: absolute;
  }
}

@media only screen and (max-width: 1200px) {
  .card-wrapper h2 br {
    display: none;
  }
}

@media only screen and (max-width: 1000px) {
  .button-wrapper {
    flex-direction: column;
  }

  .women,
  .section1-content picture {
    width: 45rem;
  }

  .section1-text-wrapper {
    width: 100%;
    justify-content: start;
    padding-top: 3rem;
  }
}

@media only screen and (max-width: 992px) {
  .card-container {
    grid-template-rows: repeat(2, 1fr);
    grid-template-columns: repeat(2, 1fr);
  }
}

@media only screen and (max-width: 768px) {
  .section1 {
    height: 70rem;
  }

  .section1-text-wrapper h1 {
    font-size: 7rem;
  }

  .section1-text-wrapper h2 {
    font-size: 3.5rem;
  }

  .women,
  .section1-content picture {
    width: 40rem;
  }

  .section3 {
    width: 105%;
  }

  .section6 img {
    width: 15rem;
  }

  .section6 .licensed {
    width: 12rem;
  }

  .section6 p {
    font-size: 2.5rem;
  }
}

@media only screen and (max-width: 576px) {

  html,
  body {
    --gutter-x: 1rem;
  }

  h1 {
    font-size: 3rem;
  }

  main::before {
    width: 200%;
    height: 200%;
    background-size: 112px;
  }

  .container {
    width: 100vw;
  }

  /* Section 1 */
  .section1 {
    height: 100vh;
    height: 100dvh;
  }

  .section1-text-wrapper h1 {
    white-space: wrap;
  }

  nav img {
    width: 16rem;
    top: 0;
    left: 0;
    transform: unset;
  }

  .section1-content picture {
    width: 100%;
    margin-left: 0;
    position: relative;
    bottom: 0vh;
    bottom: 0dvh;
    justify-content: center;
  }

  .women,
  .section1-content picture {
    width: 48vh;
    width: 48dvh;
    left: -5rem;
  }

  .section1::after {
    height: 20vh;
    height: 20dvh;
  }

  .section1-text-wrapper {
    padding-top: 10vh;
    padding-top: 10dvh;
    gap: 1.5vh;
    gap: 1.5dvh;
  }

  .section1-text-wrapper h2 {
    font-size: 6.5vw;
  }

  .section1-text-wrapper h1 {
    font-size: 12vw;
    line-height: 100%;
    margin: 0;
  }

  .h2-wrapper {
    width: unset;
  }

  @media only screen and (max-height: 750px) {

    .cta::before,
    .cta::after {
      border-width: 3px;
    }

    .cta,
    .cta::before,
    .cta::after {
      border-radius: 1rem;
    }

    .section1-text-wrapper {
      gap: 0vh;
    }
  }

  .section1-text-wrapper .cta {
    margin: 0;
    position: absolute;
    left: 50%;
    transform: translateX(-15%);
    bottom: 30.5vh;
    bottom: 30.5dvh;
    font-size: 2.75vh;
    font-size: 2.75dvh;
  }

  .try-now-disclaimer {
    font-size: 1rem;
    white-space: normal;
    text-align: right;
    max-width: 10rem;
  }

  nav .try-now-btn {
    width: auto;
    font-size: 2.75vh;
    font-size: 2.75dvh;
    padding: 0.8rem 2.1rem;
  }

  .disclaimer {
    white-space: nowrap;
    position: absolute !important;
    left: 50%;
    transform: translateX(3%);
    bottom: 5vh;
    bottom: 5dvh;
    font-size: 1.2vh;
    font-size: 1.2dvh;
  }

  .section1.active .section1-text-wrapper .cta {
    bottom: 36.5vh;
    bottom: 36.5dvh;
  }

  .section1.active .section1-text-wrapper .disclaimer {
    bottom: 35vh;
    bottom: 35dvh;
  }

  /* Section 2 */
  .section2 {
    padding-top: 0rem;
    margin-top: 2rem;
  }

  .section2 .container {
    margin-top: 0;
  }

  .section2::before {
    height: 10vh;
    height: 10dvh;
    top: -0.33vh;
    top: -0.33dvh;
  }

  .card-container {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
  }

  .card {
    width: calc(50% - 0.25rem);
  }

  .card-wrapper {
    padding: 1rem;
  }

  .card-wrapper h2 {
    font-size: 1.5rem;
  }

  .providers-container {
    width: 100%;
  }

  .section6 p {
    font-size: 5vw;
  }

  .section6 img {
    width: 9rem;
  }

  .section6 .licensed {
    width: 9rem;
  }

  /* Section 3 */
  .section3 h1 {
    padding: 0 0.5rem;
  }

  .section3 .container {
    width: 98vw;
    padding: 0;
  }

  /* Section 4 */
  .section4 p {
    font-size: 1rem;
  }

  footer h2 {
    text-align: center;
  }
}

/* Modal Styles */
.modal-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(14, 112, 88, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10000;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-in-out, visibility 0.5s ease-in-out;
}

.modal-wrapper.show {
  opacity: 1;
  visibility: visible;
}

.modal-content {
  position: relative;
  width: 90%;
  max-width: 35rem;
  background: rgba(0, 111, 83, 1);
  border-radius: 2rem;
  padding: 3rem 2.5rem;
  text-align: center;
  box-shadow: 0 1.25rem 3.75rem rgba(0, 0, 0, 0.5);
  transform: scale(0.9);
  transition: transform 0.5s ease-in-out;
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid #FFFFFF;
}

.modal-wrapper.show .modal-content {
  transform: scale(1);
}

.modal-close {
  position: absolute;
      top: 0.25rem;
    right: 0.65rem;
  background: none;
  border: none;
  color: white;
  font-size: 1.75rem;
  cursor: pointer;
  line-height: 1;
  padding: 0;
  width: 2rem;
  height: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: opacity 0.3s ease;
  z-index: 10;
  font-family: 'Roboto Slab', 'Roboto', sans-serif;
  font-weight: 900;
}

.modal-close:hover {
  opacity: 0.7;
}

.modal-background-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 1;
  z-index: 0;
  width: 90%;
  height: 90%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.modal-background-icon img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.modal-coins {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 1;
}

.modal-coins .coin {
  position: absolute;
  width: 5.5rem;
  height: 5.5rem;
  object-fit: contain;
}

.modal-coins .coin-gold.coin-top {
  width: 4.5rem;
  height: 4.5rem;
  top: -1rem;
  left: 62.5%;
  transform: translateX(-50%);
  animation: floatTop 3s ease-in-out infinite;
  animation-delay: 0s;
}

.modal-coins .coin-green.coin-right {
  width: 6rem;
  height: 6rem;
  top: 40%;
  right: -1.5rem;
  animation: floatRight 3s ease-in-out infinite;
  animation-delay: 0.5s;
}

.modal-coins .coin-gold.coin-bottom-right {
  width: 6.5rem;
  height: 6.5rem;
  bottom: 1rem;
  right: 1rem;
  animation: floatBottomRight 3s ease-in-out infinite;
  animation-delay: 1s;
}

.modal-coins .coin-green.coin-bottom-left {
  bottom: 2rem;
  left: 1rem;
  transform: rotate(185deg);
  animation: floatBottomLeft 3s ease-in-out infinite;
  animation-delay: 1.5s;
}

.modal-coins .coin-gold.coin-left {
  width: 7.5rem;
  height: 7.5rem;
  top: 7.5rem;
  left: 0.2%;
  transform: translateX(-50%);
  animation: floatRight 3s ease-in-out infinite;
  animation-delay: 0s;
}

@keyframes floatTop {

  0%,
  100% {
    transform: translateX(-50%) translateY(0) rotate(0deg);
  }

  50% {
    transform: translateX(-50%) translateY(-0.625rem) rotate(5deg);
  }
}

@keyframes floatRight {

  0%,
  100% {
    transform: translateY(0) rotate(0deg);
  }

  50% {
    transform: translateY(-0.625rem) rotate(-5deg);
  }
}

@keyframes floatBottomRight {

  0%,
  100% {
    transform: translateY(0) rotate(0deg);
  }

  50% {
    transform: translateY(-0.625rem) rotate(5deg);
  }
}

@keyframes floatBottomLeft {

  0%,
  100% {
    transform: translateY(0) rotate(190deg);
  }

  50% {
    transform: translateY(-0.625rem) rotate(185deg);
  }
}

.modal-text {
  position: relative;
  z-index: 2;
  margin-bottom: 2rem;
}

.modal-bonus-amount {
  display: flex;
  align-items: baseline;
  justify-content: center;
  gap: 0.5rem;
  text-align: center;
  background: linear-gradient(180deg, #FFE67D 0%, #DFB91C 100%), #FFFFFF;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
  text-transform: uppercase;
  font-family: 'Roboto Slab', 'Roboto', sans-serif;
  font-weight: 900;
}

.bonus-number {
  font-size: 5rem;
  font-weight: 900 !important;
  line-height: 1;
  font-family: 'Roboto Slab', 'Roboto', sans-serif;
  -webkit-text-stroke: 0.5px white;
}

.bonus-currency {
  font-size: 2.5rem;
  font-weight: 900 !important;
  line-height: 1;
  font-family: 'Roboto Slab', 'Roboto' sans-serif;
}

.modal-bonus-extra {
  font-size: 4rem;
  font-style: normal;
  background: linear-gradient(180deg, #00FFBA 20%, #006F53 100%), #FFFFFF;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  font-weight: 900;
  font-family: 'Roboto Slab', 'Roboto', sans-serif;
  /* text-shadow: 0px 0px 2px rgba(255, 255, 255, 0.25); */
  -webkit-text-stroke: 0.5px white;
  margin-top: -0.5rem;
}

.modal-bonus-title {
  font-weight: 900;
}

.bonus-line {
  font-size: 4rem;
  font-weight: 900;
  color: white;
  line-height: 1;
  font-family: 'Roboto Slab', 'Roboto', sans-serif;
  text-transform: uppercase;
  margin-top: -0.5rem;
}

.bonus-line:nth-of-type(2) {
  font-size: 5rem;
}

.modal-content .cta {
  font-size: 1.75rem;
  color: white;
  padding: 0.8rem 2rem;
  border-radius: 1rem;
}

.modal-content .cta::before,
.modal-content .cta::after {
  border-radius: 1rem;
}

@media (min-width: 992px) {
  @media (max-height:1200px) {
    .slot-game-container {
      transform: scale(1);
      margin: -2rem 0;
    }
  }

  @media (max-height:1010px) {
    .slot-game-container {
      transform: scale(0.95);
      margin: -4rem 0;
    }
  }

  @media (max-height:860px) {
    .slot-game-container {
      transform: scale(0.85);
      margin: -6rem 0;
    }
  }

  @media (max-height:800px) {
    .slot-game-container {
      transform: scale(0.8);
      margin: -8rem 0;
    }
  }

  @media (max-height:725px) {
    .slot-game-container {
      transform: scale(0.75);
      margin: -10rem 0;
    }
  }
}